Name:           folio
Version:        24.11
Release:        2%{?dist}
Summary:        Take notes in markdown

License:        GPL-3.0-or-later
URL:            https://github.com/toolstack/Folio
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz
Patch0:         storage-location.patch

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  vala
BuildRequires:  gettext
BuildRequires:  blueprint-compiler
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(gtksourceview-5)
BuildRequires:  desktop-file-utils
BuildRequires:  git

%description
A beautiful markdown note-taking app for GNOME (forked from Paper).

%prep
%autosetup -n Folio-%{version} -S git

%build
%meson
%meson_build

%install
%meson_install
%find_lang com.toolstack.Folio

%files -f com.toolstack.Folio.lang
%license COPYING
%doc README.md
%{_bindir}/com.toolstack.Folio
%{_bindir}/folio-search-provider
%{_datadir}/applications/com.toolstack.Folio-editor.desktop
%{_datadir}/applications/com.toolstack.Folio.desktop
%{_datadir}/dbus-1/services/com.toolstack.Folio.SearchProvider.service
%{_datadir}/dbus-1/services/com.toolstack.Folio.service
%{_datadir}/glib-2.0/schemas/com.toolstack.Folio.gschema.xml
%{_datadir}/gnome-shell/search-providers/com.toolstack.Folio.SearchProvider-search-provider.ini
%{_datadir}/gtksourceview-5/language-specs/markdownpp.lang
%{_datadir}/gtksourceview-5/styles/folio_markdown.xml
%{_datadir}/gtksourceview-5/styles/folio_markdown_dark.xml
%{_datadir}/icons/hicolor/scalable/apps/com.toolstack.Folio.svg
%{_datadir}/icons/hicolor/symbolic/apps/com.toolstack.Folio-symbolic.svg
%{_datadir}/metainfo/com.toolstack.Folio.appdata.xml

%changelog
%autochangelog
